# Generated by Django 5.0 on 2023-12-13 18:32

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Identifiers',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('c_rnti', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_du_ue_f1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_cu_ue_f1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_cu_cp_ue_e1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_cu_up_ue_e1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('ran_ue_ngap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('amf_ue_ngap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('xnap_src_ran_id', models.CharField(blank=True, max_length=255, null=True)),
                ('xnap_trgt_ran_id', models.CharField(blank=True, max_length=255, null=True)),
                ('pci', models.CharField(max_length=255, null=True)),
                ('cucp_f1c_ip', models.CharField(blank=True, max_length=255)),
                ('du_f1c_ip', models.CharField(blank=True, max_length=255)),
                ('gnb_id', models.CharField(blank=True, max_length=255)),
                ('frame_time', models.DateTimeField(null=True)),
                ('f1ap_cause', models.CharField(blank=True, max_length=255, null=True)),
                ('ngap_cause', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'identifiers',
            },
        ),
        migrations.CreateModel(
            name='UploadedFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(max_length=255, null=True)),
                ('uploadDate', models.DateTimeField(auto_now_add=True)),
                ('processDate', models.DateTimeField(null=True)),
                ('processed', models.BooleanField(default=False)),
                ('completeAt', models.DateTimeField(null=True)),
                ('completed', models.BooleanField(default=False)),
                ('isAnalysisComplete', models.BooleanField(default=False)),
                ('processing_status', models.CharField(max_length=255, null=True)),
            ],
            options={
                'db_table': 'uploadfile',
            },
        ),
        migrations.CreateModel(
            name='Stats',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('category', models.CharField(max_length=50)),
                ('attempts', models.IntegerField(default=0)),
                ('success', models.IntegerField(default=0)),
                ('fails', models.IntegerField(default=0)),
                ('timeouts', models.IntegerField(default=0)),
                ('cucp_f1c_ip', models.CharField(blank=True, max_length=255)),
                ('gnb_id', models.CharField(blank=True, max_length=255)),
                ('uploadedFiles', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.uploadedfile')),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('frame_number', models.IntegerField()),
                ('frame_time', models.DateTimeField(null=True)),
                ('ip_src', models.CharField(max_length=255, null=True)),
                ('ip_dst', models.CharField(max_length=255, null=True)),
                ('protocol', models.CharField(max_length=255, null=True)),
                ('f1_proc', models.CharField(max_length=255, null=True)),
                ('e1_proc', models.CharField(max_length=255, null=True)),
                ('ng_proc', models.CharField(max_length=255, null=True)),
                ('xn_proc', models.CharField(max_length=255, null=True)),
                ('c1_rrc', models.CharField(max_length=255, null=True)),
                ('c2_rrc', models.CharField(max_length=255, null=True)),
                ('mm_message_type', models.CharField(max_length=255, null=True)),
                ('sm_message_type', models.CharField(max_length=255, null=True)),
                ('message', models.TextField(null=True)),
                ('src_node', models.CharField(max_length=255, null=True)),
                ('dst_node', models.CharField(max_length=255, null=True)),
                ('message_json', models.JSONField(null=True)),
                ('c_rnti', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_du_ue_f1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_cu_ue_f1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_cu_cp_ue_e1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_cu_up_ue_e1ap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('ran_ue_ngap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('amf_ue_ngap_id', models.CharField(blank=True, max_length=255, null=True)),
                ('xnap_src_ran_id', models.CharField(blank=True, max_length=255, null=True)),
                ('xnap_trgt_ran_id', models.CharField(blank=True, max_length=255, null=True)),
                ('gnb_id', models.CharField(blank=True, max_length=255)),
                ('f1ap_cause', models.CharField(blank=True, max_length=255, null=True)),
                ('ngap_cause', models.CharField(blank=True, max_length=255, null=True)),
                ('identifiers', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='drawranflow.identifiers')),
                ('uploaded_file', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.uploadedfile')),
            ],
            options={
                'db_table': 'message',
            },
        ),
        migrations.CreateModel(
            name='IdentifiersStats',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('category', models.CharField(max_length=50)),
                ('attempts', models.IntegerField(default=0)),
                ('success', models.IntegerField(default=0)),
                ('fails', models.IntegerField(default=0)),
                ('timeouts', models.IntegerField(default=0)),
                ('cucp_f1c_ip', models.CharField(blank=True, max_length=255)),
                ('gnb_id', models.CharField(blank=True, max_length=255)),
                ('identifier', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='identifier_stats', to='drawranflow.identifiers')),
                ('uploadedFiles', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.uploadedfile')),
            ],
        ),
        migrations.AddField(
            model_name='identifiers',
            name='uploaded_file',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.uploadedfile'),
        ),
    ]
